#!/bin/bash
#
# Christian Benjamin Ries, November 2010
# Christian_Benjamin.Ries@fh-bielefeld.de
# http://www.christianbenjaminries.de
# University of Applied Sciences Bielefeld, Germany
# License: GNU GPL
#

function usage() {
  echo "Usage: $0 -p PROJECTNAME -m MODE -n NEWFILE"
  echo "Description:"
  echo "     -p    Name of your project."
  echo "     -m    edge | normalize | oil | shade | negate"
  echo "     -n    File name of the video output."
  exit 1
}

if [ $# -le 5 ]
	then
	usage
fi

while getopts  "p:m:n:" flag
do
  case "$flag" in
    p) PROJECTNAME=$OPTARG 
		;;
    m) MODE=$OPTARG 
		;;
    n) NAME=$OPTARG 
		;;
    *) usage ;;
  esac
done

source make_configuration

rm -r sequence_${MODE} ; mkdir sequence_${MODE}/
cd sequence_${MODE}/
for file in ${ROOTPROJECT}/sample_results/*${MODE}*
do
	echo ${file}
	unzip ${file}
done
cd ..

cd sequence_${MODE}/
mogrify -format jpg -quality 85 *.png
cd -
ffmpeg -i sequence_${MODE}/${PREFORMAT}.jpg ${NAME}


